Bug 1730599 (CVE-2019-13296) - CVE-2019-13296 ImageMagick: direct memory leaks in AcquireMagickMemory because of an error in CLIListOperatorImages in MagickWand/operation.c for a NULL value
Summary: CVE-2019-13296 ImageMagick: direct memory leaks in AcquireMagickMemory becaus...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2019-13296
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1730600
Blocks: 1730618
TreeView+ depends on / blocked
 
Reported: 2019-07-17 07:55 UTC by Marian Rehak
Modified: 2019-09-29 15:17 UTC (History)
5 users (show)

Fixed In Version: ImageMagick 7.0.8-58
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that ImageMagick does not properly release acquired memory when some error conditions occur in the function CLIListOperatorImages() and compare option is used. An attacker could abuse this flaw by providing a specially crafted image and cause a Denial of Service by using all available memory.
Clone Of:
Environment:
Last Closed: 2019-07-19 15:06:57 UTC


Attachments (Terms of Use)

Description Marian Rehak 2019-07-17 07:55:07 UTC
ImageMagick 7.0.8-50 Q16 has direct memory leaks in AcquireMagickMemory because of an error in CLIListOperatorImages in MagickWand/operation.c for a NULL value.

Upstream Issue:

https://github.com/ImageMagick/ImageMagick/issues/1604

Comment 1 Marian Rehak 2019-07-17 07:55:20 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1730600]

Comment 3 Riccardo Schirone 2019-07-19 12:15:26 UTC
Statement:

This issue did not affect the versions of ImageMagick as shipped with Red Hat Enterprise Linux 7 as they did not include the vulnerable code.

Comment 4 Product Security DevOps Team 2019-07-19 15:06:57 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-13296


Note You need to log in before you can comment on or make changes to this bug.